> For the complete documentation index, see [llms.txt](https://apidocs.nhanh.vn/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://apidocs.nhanh.vn/v3/promotion/pricelist.md).

# Danh sách bảng giá

* Tính năng này dùng để lấy danh sách bảng giá trên Nhanh.vn.

## Request

* Xem [common request params](/v3/readme.md#request-params).
* Xem [Postman sample](/v3/promotion/pricelist.md).

```curl
curl --location 'https://pos.open.nhanh.vn/v3.0/promotion/pricelist?appId={{appId}}&businessId={{businessId}}' \
--header 'Authorization: {{accessToken}}' \
--header 'Content-Type: application/json'
--data '{
   "filters": {
       "ids": [73532, 73551]
       "status": 2
       "name": "AH TESSTT"
   },
   "paginator": {
       "size": 50,
       "sort": {
           "id": "asc"
       }
       "next": {
           "id": 73547
       }
   }
}'
```

#### Filters

| Key      | Type   | Description                               |
| -------- | ------ | ----------------------------------------- |
| ids      | array  | Mảng ids bảng giá.                        |
| name     | string | Tên bảng giá.                             |
| status   | int    | Trạng thái bảng giá.                      |
| depotIds | array  | Mảng danh sách cửa hàng áp dụng bảng giá. |

## Response

* Xem cấu trúc chung [tại đây](/v3/readme.md#response).

### Failed response

* Xem các mã lỗi chung [tại đây](/v3/readme.md#failed-response).

### Successful response

```json
{
 "code": 1,
 "paginator": {
   "next": "Dùng để lấy dữ liệu trang tiếp theo"
 },
 "data": [
   {
     "id": "(int) Id bảng giá",
     "businessId": "(int) Id doanh nghiệp quản lý",
     "name": "(string)Tên bảng giá",
     "status": "(int) Trạng thái",
     "startDate": "(string) Ngày áp dụng",
     "endDate": "(string) Ngày kết thúc",
     "createdBy": {
       "id": "(int) Id người tạo",
       "name": "(string) Tên người tạo"
     },
     "createdDateTime": "(string) Thời gian tạo"
   }
 ]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.nhanh.vn/v3/promotion/pricelist.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
